| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
AlgToolHistory Class Reference

AlgToolHistory class definition. More...

`#include <GaudiKernel/AlgToolHistory.h>`

Inheritance diagram for AlgToolHistory:
[legend]
Collaboration diagram for AlgToolHistory:
[legend]

## Public Member Functions
| AlgToolHistory (const AlgTool &alg, const JobHistory *job)
| AlgToolHistory (const std::string &algVersion, const std::string &algName, const std::string &algType, const AlgTool *tool, const PropertyList &props, const JobHistory *job)
virtual | ~AlgToolHistory ()
virtual const CLID & | clID () const
| Retrieve reference to class definition structure. More...
const std::string & | algtool_type () const
const std::string & | algtool_version () const
const std::string & | algtool_name () const
const AlgTool * | algtool_instance () const
const PropertyList & | properties () const
const JobHistory * | jobHistory () const
void | dump (std::ostream &, const bool isXML=false, int indent=0) const
const std::string & | name () const
const std::string & | type () const
const std::string & | version () const
Public Member Functions inherited from HistoryObj
| HistoryObj ()=default
virtual | ~HistoryObj ()=default
Public Member Functions inherited from DataObject
| DataObject ()
| Standard Constructor. More...
| DataObject (const DataObject &rhs)
| Copy Constructor. More...
DataObject & | operator= (const DataObject &rhs)
| Assignment Operator. More...
| DataObject (DataObject &&rhs)
| Move Constructor. More...
DataObject & | operator= (DataObject &&rhs)
| Move Assignment Operator. More...
virtual | ~DataObject ()
| Standard Destructor. More...
virtual unsigned long | addRef ()
| Add reference to object. More...
virtual unsigned long | release ()
| release reference to object More...
const std::string & | name () const
| Retreive DataObject name. It is the name when registered in the store. More...
virtual StatusCode | update ()
| Provide empty placeholder for internal object reconfiguration callback. More...
void | setRegistry (IRegistry *pRegistry)
| Set pointer to Registry. More...
IRegistry * | registry () const
| Get pointer to Registry. More...
LinkManager * | linkMgr () const
| Retrieve Link manager. More...
unsigned char | version () const
| Retrieve version number of this object representation. More...
void | setVersion (unsigned char vsn)
| Set version number of this object representation. More...
unsigned long | refCount () const
| Return the refcount. More...
virtual std::ostream & | fillStream (std::ostream &s) const
| Fill the output stream (ASCII) More...
Public Member Functions inherited from IVersHistoryObj
virtual | ~IVersHistoryObj ()=default

## Static Public Member Functions
static const CLID & | classID ()
Static Public Member Functions inherited from HistoryObj
static const CLID & | classID ()
static std::string | convert_string (const std::string &)
Static Public Member Functions inherited from DataObject
static const CLID & | classID ()
| Retrieve reference to class definition structure (static access) More...

## Private Attributes
std::string | m_type
std::string | m_version
std::string | m_name
const AlgTool * | m_tool
PropertyList | m_properties
const JobHistory * | m_jobHistory

## Additional Inherited Members
Public Types inherited from IVersHistoryObj
typedef std::vector< Property * > | PropertyList
Protected Member Functions inherited from HistoryObj
virtual void | indent (std::ostream &, int) const

## Detailed Description

AlgToolHistory class definition.

Author
  : Charles Leggett

Definition at line 22 of file AlgToolHistory.h.

## Constructor & Destructor Documentation

AlgToolHistory::AlgToolHistory | ( | const AlgTool & | alg,
|  | const JobHistory * | job
| ) |  |

Definition at line 21 of file AlgToolHistory.cpp.

22 :
23 m_type(alg.type()),
24 m_version("UNKNOWN"),
25 m_name(alg.name()),
26 m_tool( &alg ),
27 m_properties(alg.getProperties()),
28 m_jobHistory(job)
29 {
30 }
AlgToolHistory::m_version
std::string m_version
Definition: AlgToolHistory.h:30
AlgToolHistory::m_jobHistory
const JobHistory * m_jobHistory
Definition: AlgToolHistory.h:42
AlgToolHistory::m_name
std::string m_name
Definition: AlgToolHistory.h:33
AlgToolHistory::m_properties
PropertyList m_properties
Definition: AlgToolHistory.h:39
AlgToolHistory::m_type
std::string m_type
Definition: AlgToolHistory.h:27
AlgToolHistory::m_tool
const AlgTool * m_tool
Definition: AlgToolHistory.h:36
AlgTool::getProperties
const std::vector< Property * > & getProperties() const override
Definition: AlgTool.cpp:160
AlgTool::type
const std::string & type() const override
Retrieve type (concrete class) of the sub-algtool.
Definition: AlgTool.cpp:72
AlgTool::name
const std::string & name() const override
Retrieve full identifying name of the concrete tool object.
Definition: AlgTool.cpp:65

AlgToolHistory::AlgToolHistory | ( | const std::string & | algVersion,
|  | const std::string & | algName,
|  | const std::string & | algType,
|  | const AlgTool * | tool,
|  | const PropertyList & | props,
|  | const JobHistory * | job
| ) |  |

Definition at line 34 of file AlgToolHistory.cpp.

39 :
40 m_type(algType), // FIXME type_info???
41 m_version(algVersion),
42 m_name(algName),
43 m_tool(tool),
44 m_properties(props),
45 m_jobHistory(job)
46 {}
AlgToolHistory::m_version
std::string m_version
Definition: AlgToolHistory.h:30
AlgToolHistory::m_jobHistory
const JobHistory * m_jobHistory
Definition: AlgToolHistory.h:42
AlgToolHistory::m_name
std::string m_name
Definition: AlgToolHistory.h:33
AlgToolHistory::m_properties
PropertyList m_properties
Definition: AlgToolHistory.h:39
AlgToolHistory::m_type
std::string m_type
Definition: AlgToolHistory.h:27
AlgToolHistory::m_tool
const AlgTool * m_tool
Definition: AlgToolHistory.h:36

virtual AlgToolHistory::~AlgToolHistory | ( |  | ) |
| inline virtual

Definition at line 56 of file AlgToolHistory.h.

56 {};

## Member Function Documentation

const AlgTool* AlgToolHistory::algtool_instance | ( |  | ) | const
| inline

Definition at line 72 of file AlgToolHistory.h.

72 { return m_tool; }
AlgToolHistory::m_tool
const AlgTool * m_tool
Definition: AlgToolHistory.h:36

const std::string& AlgToolHistory::algtool_name | ( |  | ) | const
| inline

Definition at line 69 of file AlgToolHistory.h.

69 { return m_name; }
AlgToolHistory::m_name
std::string m_name
Definition: AlgToolHistory.h:33

const std::string& AlgToolHistory::algtool_type | ( |  | ) | const
| inline

Definition at line 63 of file AlgToolHistory.h.

63 { return m_type; }
AlgToolHistory::m_type
std::string m_type
Definition: AlgToolHistory.h:27

const std::string& AlgToolHistory::algtool_version | ( |  | ) | const
| inline

Definition at line 66 of file AlgToolHistory.h.

66 { return m_version; }
AlgToolHistory::m_version
std::string m_version
Definition: AlgToolHistory.h:30

const CLID & AlgToolHistory::classID | ( |  | ) |
| static

Definition at line 50 of file AlgToolHistory.cpp.

50 {
51
52 static const CLID CLID_AlgToolHistory = 171959758; // from `clid AlgToolHistory`
53 return CLID_AlgToolHistory;
54
55 }
CLID
unsigned int CLID
Class ID definition.
Definition: ClassID.h:8

virtual const CLID& AlgToolHistory::clID | ( |  | ) | const
| inline virtual

Retrieve reference to class definition structure.

Retrieve Pointer to class definition structure.

Reimplemented from HistoryObj.

Definition at line 59 of file AlgToolHistory.h.

59 { return classID(); }
AlgToolHistory::classID
static const CLID & classID()
Definition: AlgToolHistory.cpp:50

void AlgToolHistory::dump | ( | std::ostream & | ost,
|  | const bool | isXML = `false`,
|  | int | indent = `0`
| ) |  | const
| virtual

Implements HistoryObj.

Definition at line 60 of file AlgToolHistory.cpp.

60 {
61
62 if (!isXML) {
63
64 ost << "Name: " << algtool_name() << endl;
65 ost << "Type: " << algtool_type() << endl;
66 ost << "Version: " << algtool_version() << endl;
67 ost << "Parent: " << algtool_instance()->name() << endl;
68
69 //Properties
70 ost << "Properties: [" << endl;
71
72 for ( const auto& iprop : properties() ) {
73 iprop->fillStream(ost);
74 ost << endl;
75 }
76 ost << "]" << endl;
77
78 } else {
79
80 ind += 2;
81 indent(ost,ind);
82 ost << "<COMPONENT name=\"" << algtool_name()
83 << "\" class=\"" << convert_string(algtool_type())
84 << "\" version=\"" << convert_string(algtool_version())
85 << "\" parent=\"" << convert_string(algtool_instance()->name())
86 << "\">" << endl;
87
88 for ( const auto& iprop : properties() ) {
89
90 indent(ost,ind+2);
91 ost << "<PROPERTY name=\"" << iprop->name()
92 << "\" value=\"" << convert_string(iprop->toString())
93 << "\" documentation=\"" << convert_string(iprop->documentation())
94 << "\">" << endl;
95 }
96
97 indent(ost,ind);
98 ost << "</COMPONENT>" << endl;
99
100 }
101
102 }
AlgToolHistory::algtool_instance
const AlgTool * algtool_instance() const
Definition: AlgToolHistory.h:72
std::endl
T endl(T...args)
AlgToolHistory::name
const std::string & name() const
Definition: AlgToolHistory.h:82
HistoryObj::indent
virtual void indent(std::ostream &, int) const
Definition: HistoryObj.cpp:43
AlgToolHistory::properties
const PropertyList & properties() const
Definition: AlgToolHistory.h:75
AlgToolHistory::algtool_type
const std::string & algtool_type() const
Definition: AlgToolHistory.h:63
HistoryObj::convert_string
static std::string convert_string(const std::string &)
Definition: HistoryObj.cpp:21
AlgToolHistory::algtool_version
const std::string & algtool_version() const
Definition: AlgToolHistory.h:66
AlgTool::name
const std::string & name() const override
Retrieve full identifying name of the concrete tool object.
Definition: AlgTool.cpp:65
AlgToolHistory::algtool_name
const std::string & algtool_name() const
Definition: AlgToolHistory.h:69

const JobHistory* AlgToolHistory::jobHistory | ( |  | ) | const
| inline

Definition at line 78 of file AlgToolHistory.h.

78 { return m_jobHistory; }
AlgToolHistory::m_jobHistory
const JobHistory * m_jobHistory
Definition: AlgToolHistory.h:42

const std::string& AlgToolHistory::name | ( |  | ) | const
| inline virtual

Implements IVersHistoryObj.

Definition at line 82 of file AlgToolHistory.h.

82 { return algtool_name(); }
AlgToolHistory::algtool_name
const std::string & algtool_name() const
Definition: AlgToolHistory.h:69

const PropertyList& AlgToolHistory::properties | ( |  | ) | const
| inline virtual

Implements IVersHistoryObj.

Definition at line 75 of file AlgToolHistory.h.

75 { return m_properties; }
AlgToolHistory::m_properties
PropertyList m_properties
Definition: AlgToolHistory.h:39

const std::string& AlgToolHistory::type | ( |  | ) | const
| inline virtual

Implements IVersHistoryObj.

Definition at line 83 of file AlgToolHistory.h.

83 { return algtool_type(); }
AlgToolHistory::algtool_type
const std::string & algtool_type() const
Definition: AlgToolHistory.h:63

const std::string& AlgToolHistory::version | ( |  | ) | const
| inline virtual

Implements IVersHistoryObj.

Definition at line 84 of file AlgToolHistory.h.

84 { return algtool_version(); }
AlgToolHistory::algtool_version
const std::string & algtool_version() const
Definition: AlgToolHistory.h:66

## Member Data Documentation

const JobHistory* AlgToolHistory::m_jobHistory
| private

Definition at line 42 of file AlgToolHistory.h.

std::string AlgToolHistory::m_name
| private

Definition at line 33 of file AlgToolHistory.h.

PropertyList AlgToolHistory::m_properties
| private

Definition at line 39 of file AlgToolHistory.h.

const AlgTool* AlgToolHistory::m_tool
| private

Definition at line 36 of file AlgToolHistory.h.

std::string AlgToolHistory::m_type
| private

Definition at line 27 of file AlgToolHistory.h.

std::string AlgToolHistory::m_version
| private

Definition at line 30 of file AlgToolHistory.h.

The documentation for this class was generated from the following files:

- GaudiKernel/GaudiKernel/AlgToolHistory.h
- GaudiKernel/src/Lib/AlgToolHistory.cpp